Skip to main content
GET
/
api
/
v1
/
configurator
/
profiles
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/configurator/profiles
{
  "items": [
    {
      "id": "<string>",
      "project_id": "<string>",
      "name": "<string>",
      "target_framework": "<string>",
      "target_language": "<string>",
      "semconv_version": "<string>",
      "features_json": "<string>",
      "is_default": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "template_overrides_json": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}

Query Parameters

limit
integer<int32>
default:20

Page size

Required range: 1 <= x <= 100
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)